Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 929350 - app-portage/elogviewer: needs upgrade to Python 3.12 (PythonCompatUpdate)
Summary: app-portage/elogviewer: needs upgrade to Python 3.12 (PythonCompatUpdate)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921826
  Show dependency tree
 
Reported: 2024-04-13 08:30 UTC by Michał Górny
Modified: 2024-06-06 21:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-04-13 08:30:39 UTC
This package does not support Python 3.12.  Please test it with Python 3.12 as a matter of urgency as the default will change in early June, as per message on gentoo-dev: https://www.mail-archive.com/gentoo-dev@lists.gentoo.org/msg99104.html.  Please check the information provided in the tracker.  Ask in #gentoo-python on IRC if need any help.
Comment 1 Eli Schwartz 2024-06-05 22:52:15 UTC
As far as I can tell, the software doesn't work on python 3.11 either. It shows zero logs, because it is searching in /var/log/portage/elog/ for them.

Does anyone actually use it? Is it being kept up to date with portage?
Comment 2 Larry the Git Cow gentoo-dev 2024-06-06 00:45:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e187e57150a1c4b9aa057d1e823048589500aa2

commit 6e187e57150a1c4b9aa057d1e823048589500aa2
Author:     Eli Schwartz <eschwartz93@gmail.com>
AuthorDate: 2024-06-05 22:59:55 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-06-06 00:44:50 +0000

    app-portage/elogviewer: enable py3.12
    
    In fact it doesn't work on either py3.11 or py3.12 but that is because
    it doesn't know how to find any logs. The actual package seems to
    function equivalently, and passes unittest mocks, and can load logs via
    the command line, so I guess the py3.12 migration is not, itself, a
    problem.
    
    Closes: https://bugs.gentoo.org/929350
    Signed-off-by: Eli Schwartz <eschwartz93@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 app-portage/elogviewer/elogviewer-3.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Daniel Pielmeier gentoo-dev 2024-06-06 20:58:05 UTC
(In reply to Eli Schwartz from comment #1)
> As far as I can tell, the software doesn't work on python 3.11 either. It
> shows zero logs, because it is searching in /var/log/portage/elog/ for them.
> 
> Does anyone actually use it? Is it being kept up to date with portage?

I am using it and it works just fine also with python 3.11.
What is wrong with the location /var/log/portage/elog or ${PORTAGE_LOGDIR}/elog? This is the default [1] for portages elog system.

[1] https://wiki.gentoo.org/wiki/Portage_log
Comment 4 Daniel Pielmeier gentoo-dev 2024-06-06 21:07:15 UTC
(In reply to Daniel Pielmeier from comment #3)
> (In reply to Eli Schwartz from comment #1)
> > As far as I can tell, the software doesn't work on python 3.11 either. It
> > shows zero logs, because it is searching in /var/log/portage/elog/ for them.
> > 
> > Does anyone actually use it? Is it being kept up to date with portage?
> 
> I am using it and it works just fine also with python 3.11.
> What is wrong with the location /var/log/portage/elog or
> ${PORTAGE_LOGDIR}/elog? This is the default [1] for portages elog system.
> 
> [1] https://wiki.gentoo.org/wiki/Portage_log

Actually I am using elogv but it alos lokks for /var/log/portage/elog.
Comment 5 Eli Schwartz 2024-06-06 21:48:30 UTC
I seem to have gotten a bit confused since it tries quite hard to handle build/ if you tell it to (and is a bit slow but otherwise shows ok) but I have save_summary enabled and not save, so I had no subdirectories. Oops.

I also missed the notice because I merged it twice while fiddling with PYTHON_COMPAT, and then while trying to debug the cause of it showing a blank list I went down a red herring of "it attempts to use PORT_LOGDIR instead of PORTAGE_LOGDIR" (this actually was not *my* issue, but it is *an* issue).

This would make a good runtime sanity check and also I think checking for PORT_LOGDIR needs to be fixed, because that simply will not work if someone has a nondefault log location.

Changed in bug 668538 -- and actually elogv has a recent commit linking to that ticket, implementing said change.